<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
header("Content-Type:text/html; charset=utf-8");
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 
$annio=$_GET['annio'];


// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

// Datos del Per�odo.
$sql2 = "select * from periodos where id_periodo='$periodo'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$codigo_periodo=$row2['codigo'];
$descripcion='('.$row2['mes_inicio'].'-'.$row2['mes_fin'].')';

//Datos de la Sede
$sql2 = "select * from sedes where codigo='$sede'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$nombre_sede=$row2['nombre_sede'];

//Datos de la Carrera
$sql2 = "select * from carreras where id_carrera='$carrera'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$nombre_carrera=$row2['nombre_carrera'];


// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
$query = "Select Distinct
docentes.pais,
docentes.cedula,
docentes.pasaporte,
docentes.apellidos,
docentes.nombres,
docentes.genero,
docentes.fechanac,
docentes.fechaingreso,
docentes.categoria_actual,
docentes.dedicacion,
docentes.gradoacad,
docentes.condicion_laboral,
docentes.profesion,
docentes.adscripcion,
docentes.discapacidad,
docentes.comentario
From
docentes
Inner Join historial_docentes ON docentes.id_docente = historial_docentes.id_docente
where historial_docentes.annio='$annio' AND
(historial_docentes.id_carrera='56B' OR
historial_docentes.id_carrera='35A'  OR
historial_docentes.id_carrera='61A' OR
historial_docentes.id_carrera='54A' OR
historial_docentes.id_carrera='55A' OR
historial_docentes.id_carrera='36A' OR
historial_docentes.id_carrera='34A' OR
historial_docentes.id_carrera='30A' OR
historial_docentes.id_carrera='29A'  OR
historial_docentes.id_carrera='64A' OR
historial_docentes.id_carrera='26A'  OR
historial_docentes.id_carrera='27A' OR
historial_docentes.id_carrera='33B' OR
historial_docentes.id_carrera='32A')
";
// Ejecuta el Query.
$result = mysql_query ($query,$cn) or die (mysql_error()); 

// Numero de Filas.
$totalRows = mysql_num_rows($result);

// Se genera la linea de encabezado del archivo.
$linea='205;0000000446;Coordinación de Control de Estudios'.';';

// Apertura del archivo texto
$nombre_archivo = '0000000446_205_'.$annio.'.txt';
$carpeta_destino = dirname(__FILE__);
$archivo = $carpeta_destino ."/".$nombre_archivo;
$archivo = fopen ($archivo, "w+");
$contenido='';
// Inserción del encabezado del archivo. chr(13).chr(10), forman el salto de linea.
fwrite($archivo, $linea.chr(13).chr(10));
$contenido=$contenido.$linea.chr(13).chr(10);
while ($row = mysql_fetch_row($result)) {
    $pais=$row[0];
	if($pais='000'){
	    $pais='296';
    }		
    $fecha_nac=join ("-",(array_reverse(split("-",$row[6]))));
	if($fecha_nac=='00-00-0000'){
	   $fecha_nac='0-0-1989';
	   }
	   
	$fecha_ingreso=join ("-",(array_reverse(split("-",$row[7]))));
	if($fecha_ingreso=='00-00-0000'){
	   $fecha_ingreso='0-0-2009';
	   } 
	   
	// Inserción del participante en el archivo
    $linea=$pais.';'.$row[1].';'.$row[2].';'.$row[3].';'.$row[4].';'.$row[5].';'.$fecha_nac.';'.$fecha_ingreso.';'.$row[8].';'.$row[9].';'.$row[10].';'.$row[11].';'.$row[12].'Coordinación de Postgrado'.';'.$row[14].';'.$row[15].';';
     $contenido=$contenido.$linea.chr(13).chr(10);
	fwrite($archivo, $linea.chr(13).chr(10));
}
// Cierre del archivo 
fclose($archivo);

header( "Content-Type: application/octet-stream");
header( "Content-Disposition: attachment; filename=".$nombre_archivo.""); 
print($contenido);

//echo "<a href=\"".$archivo."\">Descargar</a>";
//echo "<a href=../../".$archivo." target="contenido">Listado Moodle</a>";
					   
?>